Subject: Re: [PATCH 03/14] odb: introduce `struct odb_for_each_object_options`

From: Junio C Hamano <[email-masked]>
Date: Thu, 19 Mar 2026 07:25:08 -0700

Patrick Steinhardt <[email-masked]> writes:

> While we could of course add the prefix to the function signature, or
> alternative introduce a new function, both of these options don't really
> seem to be that sensible.

"alternative" -> "alternatigvely"?

> Instead, introduce a new `struct odb_for_each_object_options` that can
> be passed to a new `odb_for_each_object_ext()` function. Splice through
> the options structure into the respective object database sources.

A lot of churn, but we only need to suffer once and reap a lot of
benefit later, I guess ;-).